[SCM] Samba Shared Repository - branch v4-11-test updated

Karolin Seeger kseeger at samba.org
Mon Jan 25 07:28:54 UTC 2021


The branch, v4-11-test has been updated
       via  ddc4f401ced script/release.sh: always select the GPG key by it's ID
       via  78e6315d908 ReleaseKey: add GnuPG key transition statement for the Samba release key
       via  f5b0dfb0f0b script/release.sh: Use new GPG key.
      from  523c71f7ac7 VERSION: Bump version up to 4.11.18...

https://git.samba.org/?p=samba.git;a=shortlog;h=v4-11-test


- Log -----------------------------------------------------------------
commit ddc4f401ced98fc1d8f824ec8b0d61f271ed3de8
Author: Karolin Seeger <kseeger at samba.org>
Date:   Thu Jan 21 13:03:44 2021 +0100

    script/release.sh: always select the GPG key by it's ID
    
    Signed-off-by: Karolin Seeger <kseeger at samba.org>
    Signed-off-by: Stefan Metzmacher <metze at samba.org>
    (cherry picked from commit 715b208b513035269a6523f8543c4bf328a7c0f2)

commit 78e6315d908e958d0ebad870d0dc3f2cc6901ede
Author: Karolin Seeger <kseeger at samba.org>
Date:   Thu Jan 21 13:02:26 2021 +0100

    ReleaseKey: add GnuPG key transition statement for the Samba release key
    
    Signed-off-by: Karolin Seeger <kseeger at samba.org>
    Signed-off-by: Stefan Metzmacher <metze at samba.org>
    (cherry picked from commit 38a278b1afedd6c0a6de0fd4f08008e83f8597a9)

commit f5b0dfb0f0b196ea1fa2fc107880924a3183e51c
Author: Karolin Seeger <kseeger at samba.org>
Date:   Tue Dec 22 09:35:58 2020 +0100

    script/release.sh: Use new GPG key.
    
    Signed-off-by: Karolin Seeger <kseeger at samba.org>
    (cherry picked from commit 2f6cea063ddf52d77037644d612bbc209837e707)

-----------------------------------------------------------------------

Summary of changes:
 GPG_AA99442FB680B620_replaces_6F33915B6568B7EA.txt | 27 ++++++++++++++++++++++
 script/release.sh                                  | 10 ++++----
 2 files changed, 32 insertions(+), 5 deletions(-)
 create mode 100644 GPG_AA99442FB680B620_replaces_6F33915B6568B7EA.txt


Changeset truncated at 500 lines:

diff --git a/GPG_AA99442FB680B620_replaces_6F33915B6568B7EA.txt b/GPG_AA99442FB680B620_replaces_6F33915B6568B7EA.txt
new file mode 100644
index 00000000000..8e240bae8db
--- /dev/null
+++ b/GPG_AA99442FB680B620_replaces_6F33915B6568B7EA.txt
@@ -0,0 +1,27 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA1
+
+The GPG release key for Samba releases changed from:
+
+pub   dsa1024/6F33915B6568B7EA 2007-02-04 [SC] [expires: 2021-02-05]
+      Key fingerprint = 52FB C0B8 6D95 4B08 4332  4CDC 6F33 915B 6568 B7EA
+uid                 [  full  ] Samba Distribution Verification Key <samba-bugs at samba.org>
+sub   elg2048/9C6ED163DA6DFB44 2007-02-04 [E] [expires: 2021-02-05]
+
+to the following new key:
+
+pub   rsa4096/AA99442FB680B620 2020-12-21 [SC] [expires: 2022-12-21]
+      Key fingerprint = 81F5 E283 2BD2 545A 1897  B713 AA99 442F B680 B620
+uid                 [ultimate] Samba Distribution Verification Key <samba-bugs at samba.org>
+sub   rsa4096/97EF9386FBFD4002 2020-12-21 [E] [expires: 2022-12-21]
+
+Starting from Jan 21th 2021, all Samba releases will be signed with the new key.
+
+This document is signed with the old key.
+
+-----BEGIN PGP SIGNATURE-----
+
+iF0EARECAB0WIQRS+8C4bZVLCEMyTNxvM5FbZWi36gUCYAltCQAKCRBvM5FbZWi3
+6ofOAJ491tFEr36jLkf158ueIrDw9zNVtgCbBV3PgocOX5VH57s1NQdBOof+ihw=
+=wf56
+-----END PGP SIGNATURE-----
diff --git a/script/release.sh b/script/release.sh
index 507d5931a6a..45e9206005c 100755
--- a/script/release.sh
+++ b/script/release.sh
@@ -316,7 +316,7 @@ create_release() {
 
 	echo "Signing ${tarname} => ${tarname}.asc"
 	rm -f "${tarname}.asc"
-	gpg -u "${GPG_USER}" --detach-sign --armor ${tarname} || {
+	gpg --default-key "${GPG_KEYID}" --detach-sign --armor ${tarname} || {
 		return 1
 	}
 	test -f "${tarname}.asc" || {
@@ -362,7 +362,7 @@ patch_release() {
 	echo "Signing ${patchfile} => ${patchfile}.asc"
 	rm -f "${patchfile}.asc"
 	CLEANUP_FILES="${CLEANUP_FILES} ${patchfile}.asc"
-	gpg -u "${GPG_USER}" --detach-sign --armor ${patchfile} || {
+	gpg --default-key "${GPG_KEYID}" --detach-sign --armor ${patchfile} || {
 		return 1
 	}
 	test -f "${patchfile}.asc" || {
@@ -1053,7 +1053,7 @@ samba-rc)
 	}
 
 	test -z "${GPG_KEYID-}"  && {
-		GPG_KEYID='6F33915B6568B7EA'
+		GPG_KEYID='AA99442FB680B620'
 	}
 
 	productbase="samba"
@@ -1074,7 +1074,7 @@ samba-stable)
 	}
 
 	test -z "${GPG_KEYID-}"  && {
-		GPG_KEYID='6F33915B6568B7EA'
+		GPG_KEYID='AA99442FB680B620'
 	}
 
 	productbase="samba"
@@ -1096,7 +1096,7 @@ TODO-samba-security)
 	}
 
 	test -z "${GPG_KEYID-}"  && {
-		GPG_KEYID='6F33915B6568B7EA'
+		GPG_KEYID='AA99442FB680B620'
 	}
 
 	productbase="samba"


-- 
Samba Shared Repository



More information about the samba-cvs mailing list